com.independentsoft.exchange

## Enum MessageTrackingEventDescription

- java.lang.Object
- - java.lang.Enum<MessageTrackingEventDescription>
  - - com.independentsoft.exchange.MessageTrackingEventDescription

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<MessageTrackingEventDescription>

      public enum MessageTrackingEventDescription
      extends java.lang.Enum<MessageTrackingEventDescription>

  The Enum MessageTrackingEventDescription.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DELAYED_AFTER_TRANSFER_TO_PARTNER_ORG`
    `DELIVERED`
    `EXPANDED`
    `FAILED_GENERAL`
    `FAILED_MODERATION`
    `FAILED_TRANSPORT_RULES`
    `FORWARDED`
    `MESSAGE_DEFER`
    `MOVED_TO_FOLDER_BY_INBOX_RULE`
    `NOT_READ`
    `PENDING`
    `PENDING_MODERATION`
    `QUEUE_RETRY`
    `QUEUE_RETRY_NO_RETRY_TIME`
    `READ`
    `RESOLVED`
    `RULES_CC`
    `SMTP_RECEIVE`
    `SMTP_SEND`
    `SMTP_SEND_CROSS_FOREST`
    `SMTP_SEND_CROSS_SITE`
    `SUBMITTED`
    `TRANSFERRED_TO_FOREIGN_ORG`
    `TRANSFERRED_TO_LEGACY_EXCHANGE_SERVER`
    `TRANSFERRED_TO_PARTNER_ORG`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MessageTrackingEventDescription` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static MessageTrackingEventDescription[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SUBMITTED

          public static final MessageTrackingEventDescription SUBMITTED

    - #### RESOLVED

          public static final MessageTrackingEventDescription RESOLVED

    - #### EXPANDED

          public static final MessageTrackingEventDescription EXPANDED

    - #### DELIVERED

          public static final MessageTrackingEventDescription DELIVERED

    - #### MOVED_TO_FOLDER_BY_INBOX_RULE

          public static final MessageTrackingEventDescription MOVED_TO_FOLDER_BY_INBOX_RULE

    - #### RULES_CC

          public static final MessageTrackingEventDescription RULES_CC

    - #### FAILED_GENERAL

          public static final MessageTrackingEventDescription FAILED_GENERAL

    - #### FAILED_MODERATION

          public static final MessageTrackingEventDescription FAILED_MODERATION

    - #### FAILED_TRANSPORT_RULES

          public static final MessageTrackingEventDescription FAILED_TRANSPORT_RULES

    - #### SMTP_SEND

          public static final MessageTrackingEventDescription SMTP_SEND

    - #### SMTP_SEND_CROSS_SITE

          public static final MessageTrackingEventDescription SMTP_SEND_CROSS_SITE

    - #### SMTP_SEND_CROSS_FOREST

          public static final MessageTrackingEventDescription SMTP_SEND_CROSS_FOREST

    - #### SMTP_RECEIVE

          public static final MessageTrackingEventDescription SMTP_RECEIVE

    - #### FORWARDED

          public static final MessageTrackingEventDescription FORWARDED

    - #### PENDING

          public static final MessageTrackingEventDescription PENDING

    - #### PENDING_MODERATION

          public static final MessageTrackingEventDescription PENDING_MODERATION

    - #### QUEUE_RETRY

          public static final MessageTrackingEventDescription QUEUE_RETRY

    - #### QUEUE_RETRY_NO_RETRY_TIME

          public static final MessageTrackingEventDescription QUEUE_RETRY_NO_RETRY_TIME

    - #### MESSAGE_DEFER

          public static final MessageTrackingEventDescription MESSAGE_DEFER

    - #### TRANSFERRED_TO_FOREIGN_ORG

          public static final MessageTrackingEventDescription TRANSFERRED_TO_FOREIGN_ORG

    - #### TRANSFERRED_TO_PARTNER_ORG

          public static final MessageTrackingEventDescription TRANSFERRED_TO_PARTNER_ORG

    - #### TRANSFERRED_TO_LEGACY_EXCHANGE_SERVER

          public static final MessageTrackingEventDescription TRANSFERRED_TO_LEGACY_EXCHANGE_SERVER

    - #### DELAYED_AFTER_TRANSFER_TO_PARTNER_ORG

          public static final MessageTrackingEventDescription DELAYED_AFTER_TRANSFER_TO_PARTNER_ORG

    - #### READ

          public static final MessageTrackingEventDescription READ

    - #### NOT_READ

          public static final MessageTrackingEventDescription NOT_READ

  - ### Method Detail

    - #### values

          public static MessageTrackingEventDescription[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MessageTrackingEventDescription c : MessageTrackingEventDescription.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MessageTrackingEventDescription valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null